[
  {
    "__type__": "cc.SceneAsset",
    "_name": "LoadingScene",
    "_objFlags": 0,
    "_rawFiles": null,
    "scene": {
      "__id__": 1
    },
    "asyncLoadAssets": false
  },
  {
    "__type__": "cc.Scene",
    "_objFlags": 0,
    "_parent": null,
    "_children": [
      {
        "__id__": 2
      }
    ],
    "_tag": -1,
    "_active": true,
    "_components": [],
    "_prefab": null,
    "_id": "ef28aa6b-5059-4331-b771-17e5f8b89a7c",
    "_opacity": 255,
    "_color": {
      "__type__": "cc.Color",
      "r": 255,
      "g": 255,
      "b": 255,
      "a": 255
    },
    "_cascadeOpacityEnabled": true,
    "_anchorPoint": {
      "__type__": "cc.Vec2",
      "x": 0,
      "y": 0
    },
    "_contentSize": {
      "__type__": "cc.Size",
      "width": 0,
      "height": 0
    },
    "_localZOrder": 0,
    "_globalZOrder": 0,
    "_opacityModifyRGB": false,
    "groupIndex": 0,
    "autoReleaseAssets": false
  },
  {
    "__type__": "cc.Node",
    "_name": "Canvas",
    "_objFlags": 0,
    "_parent": {
      "__id__": 1
    },
    "_children": [
      {
        "__id__": 3
      },
      {
        "__id__": 11
      },
      {
        "__id__": 17
      }
    ],
    "_tag": -1,
    "_active": true,
    "_components": [
      {
        "__id__": 22
      },
      {
        "__id__": 23
      }
    ],
    "_prefab": null,
    "_id": "f6QbfNXwNMy4MNYKgm7UBO",
    "_opacity": 255,
    "_color": {
      "__type__": "cc.Color",
      "r": 255,
      "g": 255,
      "b": 255,
      "a": 255
    },
    "_cascadeOpacityEnabled": true,
    "_anchorPoint": {
      "__type__": "cc.Vec2",
      "x": 0.5,
      "y": 0.5
    },
    "_contentSize": {
      "__type__": "cc.Size",
      "width": 640,
      "height": 1136
    },
    "_rotationX": 0,
    "_rotationY": 0,
    "_scaleX": 1,
    "_scaleY": 1,
    "_position": {
      "__type__": "cc.Vec2",
      "x": 320,
      "y": 568
    },
    "_skewX": 0,
    "_skewY": 0,
    "_localZOrder": 0,
    "_globalZOrder": 0,
    "_opacityModifyRGB": false,
    "groupIndex": 0
  },
  {
    "__type__": "cc.Node",
    "_name": "panel",
    "_objFlags": 0,
    "_parent": {
      "__id__": 2
    },
    "_children": [
      {
        "__id__": 4
      },
      {
        "__id__": 7
      }
    ],
    "_tag": -1,
    "_active": true,
    "_components": [
      {
        "__id__": 10
      }
    ],
    "_prefab": null,
    "_id": "c4Dshjc1xKobZZXzJzC/GS",
    "_opacity": 255,
    "_color": {
      "__type__": "cc.Color",
      "r": 255,
      "g": 255,
      "b": 255,
      "a": 255
    },
    "_cascadeOpacityEnabled": true,
    "_anchorPoint": {
      "__type__": "cc.Vec2",
      "x": 0.5,
      "y": 0.5
    },
    "_contentSize": {
      "__type__": "cc.Size",
      "width": 0,
      "height": 0
    },
    "_rotationX": 0,
    "_rotationY": 0,
    "_scaleX": 1,
    "_scaleY": 1,
    "_position": {
      "__type__": "cc.Vec2",
      "x": 0,
      "y": 0
    },
    "_skewX": 0,
    "_skewY": 0,
    "_localZOrder": 0,
    "_globalZOrder": 0,
    "_opacityModifyRGB": false,
    "groupIndex": 0
  },
  {
    "__type__": "cc.Node",
    "_name": "up",
    "_objFlags": 0,
    "_parent": {
      "__id__": 3
    },
    "_children": [],
    "_tag": -1,
    "_active": true,
    "_components": [
      {
        "__id__": 5
      },
      {
        "__id__": 6
      }
    ],
    "_prefab": null,
    "_id": "5fi2ZHJX5DkqjZEuraF2pT",
    "_opacity": 255,
    "_color": {
      "__type__": "cc.Color",
      "r": 255,
      "g": 255,
      "b": 255,
      "a": 255
    },
    "_cascadeOpacityEnabled": true,
    "_anchorPoint": {
      "__type__": "cc.Vec2",
      "x": 0.5,
      "y": 0
    },
    "_contentSize": {
      "__type__": "cc.Size",
      "width": 640,
      "height": 568
    },
    "_rotationX": 0,
    "_rotationY": 0,
    "_scaleX": 1,
    "_scaleY": 1,
    "_position": {
      "__type__": "cc.Vec2",
      "x": 0,
      "y": 0
    },
    "_skewX": 0,
    "_skewY": 0,
    "_localZOrder": 0,
    "_globalZOrder": 0,
    "_opacityModifyRGB": false,
    "groupIndex": 0
  },
  {
    "__type__": "cc.Sprite",
    "_name": "",
    "_objFlags": 0,
    "node": {
      "__id__": 4
    },
    "_enabled": true,
    "_spriteFrame": {
      "__uuid__": "25d8ca9f-18e8-437f-9603-693190e6622d"
    },
    "_type": 0,
    "_sizeMode": 1,
    "_fillType": 0,
    "_fillCenter": {
      "__type__": "cc.Vec2",
      "x": 0,
      "y": 0
    },
    "_fillStart": 0,
    "_fillRange": 0,
    "_isTrimmedMode": true,
    "_srcBlendFactor": 770,
    "_dstBlendFactor": 771,
    "_atlas": {
      "__uuid__": "96046156-fc3f-4a6a-a3d8-8853ed45813e"
    }
  },
  {
    "__type__": "cc.Widget",
    "_name": "",
    "_objFlags": 0,
    "node": {
      "__id__": 4
    },
    "_enabled": true,
    "isAlignOnce": true,
    "_target": {
      "__id__": 3
    },
    "_alignFlags": 4,
    "_left": 0,
    "_right": 0,
    "_top": -143,
    "_bottom": 0,
    "_verticalCenter": 0,
    "_horizontalCenter": 0,
    "_isAbsLeft": true,
    "_isAbsRight": true,
    "_isAbsTop": true,
    "_isAbsBottom": true,
    "_isAbsHorizontalCenter": true,
    "_isAbsVerticalCenter": true,
    "_originalWidth": 0,
    "_originalHeight": 568
  },
  {
    "__type__": "cc.Node",
    "_name": "down",
    "_objFlags": 0,
    "_parent": {
      "__id__": 3
    },
    "_children": [],
    "_tag": -1,
    "_active": true,
    "_components": [
      {
        "__id__": 8
      },
      {
        "__id__": 9
      }
    ],
    "_prefab": null,
    "_id": "e3W0vQmPtCiJ2eGIQv5CpI",
    "_opacity": 255,
    "_color": {
      "__type__": "cc.Color",
      "r": 255,
      "g": 255,
      "b": 255,
      "a": 255
    },
    "_cascadeOpacityEnabled": true,
    "_anchorPoint": {
      "__type__": "cc.Vec2",
      "x": 0.5,
      "y": 0
    },
    "_contentSize": {
      "__type__": "cc.Size",
      "width": 640,
      "height": 568
    },
    "_rotationX": 0,
    "_rotationY": 0,
    "_scaleX": 1,
    "_scaleY": 1,
    "_position": {
      "__type__": "cc.Vec2",
      "x": 0,
      "y": -567
    },
    "_skewX": 0,
    "_skewY": 0,
    "_localZOrder": 0,
    "_globalZOrder": 0,
    "_opacityModifyRGB": false,
    "groupIndex": 0
  },
  {
    "__type__": "cc.Sprite",
    "_name": "",
    "_objFlags": 0,
    "node": {
      "__id__": 7
    },
    "_enabled": true,
    "_spriteFrame": {
      "__uuid__": "a71332a2-d643-4928-9173-1d0bc352cdbe"
    },
    "_type": 0,
    "_sizeMode": 1,
    "_fillType": 0,
    "_fillCenter": {
      "__type__": "cc.Vec2",
      "x": 0,
      "y": 0
    },
    "_fillStart": 0,
    "_fillRange": 0,
    "_isTrimmedMode": true,
    "_srcBlendFactor": 770,
    "_dstBlendFactor": 771,
    "_atlas": {
      "__uuid__": "96046156-fc3f-4a6a-a3d8-8853ed45813e"
    }
  },
  {
    "__type__": "cc.Widget",
    "_name": "",
    "_objFlags": 0,
    "node": {
      "__id__": 7
    },
    "_enabled": true,
    "isAlignOnce": true,
    "_target": {
      "__id__": 3
    },
    "_alignFlags": 1,
    "_left": 0,
    "_right": 0,
    "_top": -1,
    "_bottom": 0,
    "_verticalCenter": 0,
    "_horizontalCenter": 0,
    "_isAbsLeft": true,
    "_isAbsRight": true,
    "_isAbsTop": true,
    "_isAbsBottom": true,
    "_isAbsHorizontalCenter": true,
    "_isAbsVerticalCenter": true,
    "_originalWidth": 0,
    "_originalHeight": 0
  },
  {
    "__type__": "cc.Widget",
    "_name": "",
    "_objFlags": 0,
    "node": {
      "__id__": 3
    },
    "_enabled": true,
    "isAlignOnce": true,
    "_target": {
      "__id__": 2
    },
    "_alignFlags": 4,
    "_left": 0,
    "_right": 0,
    "_top": 0,
    "_bottom": 568,
    "_verticalCenter": 0,
    "_horizontalCenter": 0,
    "_isAbsLeft": true,
    "_isAbsRight": true,
    "_isAbsTop": true,
    "_isAbsBottom": true,
    "_isAbsHorizontalCenter": true,
    "_isAbsVerticalCenter": true,
    "_originalWidth": 0,
    "_originalHeight": 0
  },
  {
    "__type__": "cc.Node",
    "_name": "New Button",
    "_objFlags": 0,
    "_parent": {
      "__id__": 2
    },
    "_children": [
      {
        "__id__": 12
      }
    ],
    "_tag": -1,
    "_active": false,
    "_components": [
      {
        "__id__": 14
      },
      {
        "__id__": 15
      }
    ],
    "_prefab": null,
    "_id": "463YWuIlRDkrDtMlnLxzw4",
    "_opacity": 255,
    "_color": {
      "__type__": "cc.Color",
      "r": 255,
      "g": 255,
      "b": 255,
      "a": 255
    },
    "_cascadeOpacityEnabled": true,
    "_anchorPoint": {
      "__type__": "cc.Vec2",
      "x": 0.5,
      "y": 0.5
    },
    "_contentSize": {
      "__type__": "cc.Size",
      "width": 100,
      "height": 40
    },
    "_rotationX": 0,
    "_rotationY": 0,
    "_scaleX": 1,
    "_scaleY": 1,
    "_position": {
      "__type__": "cc.Vec2",
      "x": -13,
      "y": -52
    },
    "_skewX": 0,
    "_skewY": 0,
    "_localZOrder": 0,
    "_globalZOrder": 0,
    "_opacityModifyRGB": false,
    "groupIndex": 0
  },
  {
    "__type__": "cc.Node",
    "_name": "Label",
    "_objFlags": 0,
    "_parent": {
      "__id__": 11
    },
    "_children": [],
    "_tag": -1,
    "_active": true,
    "_components": [
      {
        "__id__": 13
      }
    ],
    "_prefab": null,
    "_id": "abD66/TwpLR58l7Yjf2xht",
    "_opacity": 255,
    "_color": {
      "__type__": "cc.Color",
      "r": 0,
      "g": 0,
      "b": 0,
      "a": 255
    },
    "_cascadeOpacityEnabled": true,
    "_anchorPoint": {
      "__type__": "cc.Vec2",
      "x": 0.5,
      "y": 0.5
    },
    "_contentSize": {
      "__type__": "cc.Size",
      "width": 100,
      "height": 40
    },
    "_rotationX": 0,
    "_rotationY": 0,
    "_scaleX": 1,
    "_scaleY": 1,
    "_position": {
      "__type__": "cc.Vec2",
      "x": 0,
      "y": 0
    },
    "_skewX": 0,
    "_skewY": 0,
    "_localZOrder": 0,
    "_globalZOrder": 0,
    "_opacityModifyRGB": false,
    "groupIndex": 0
  },
  {
    "__type__": "cc.Label",
    "_name": "",
    "_objFlags": 0,
    "node": {
      "__id__": 12
    },
    "_enabled": true,
    "_useOriginalSize": false,
    "_actualFontSize": 40,
    "_fontSize": 20,
    "_lineHeight": 40,
    "_enableWrapText": false,
    "_N$file": null,
    "_isSystemFontUsed": true,
    "_spacingX": 0,
    "_N$string": "button",
    "_N$horizontalAlign": 1,
    "_N$verticalAlign": 1,
    "_N$fontFamily": "Arial",
    "_N$overflow": 1
  },
  {
    "__type__": "cc.Sprite",
    "_name": "",
    "_objFlags": 0,
    "node": {
      "__id__": 11
    },
    "_enabled": true,
    "_spriteFrame": {
      "__uuid__": "f0048c10-f03e-4c97-b9d3-3506e1d58952"
    },
    "_type": 1,
    "_sizeMode": 0,
    "_fillType": 0,
    "_fillCenter": {
      "__type__": "cc.Vec2",
      "x": 0,
      "y": 0
    },
    "_fillStart": 0,
    "_fillRange": 0,
    "_isTrimmedMode": true,
    "_srcBlendFactor": 770,
    "_dstBlendFactor": 771,
    "_atlas": null
  },
  {
    "__type__": "cc.Button",
    "_name": "",
    "_objFlags": 0,
    "node": {
      "__id__": 11
    },
    "_enabled": true,
    "transition": 2,
    "pressedColor": {
      "__type__": "cc.Color",
      "r": 255,
      "g": 255,
      "b": 255,
      "a": 255
    },
    "hoverColor": {
      "__type__": "cc.Color",
      "r": 255,
      "g": 255,
      "b": 255,
      "a": 255
    },
    "duration": 0.1,
    "zoomScale": 1.2,
    "pressedSprite": {
      "__uuid__": "e9ec654c-97a2-4787-9325-e6a10375219a"
    },
    "hoverSprite": {
      "__uuid__": "e9ec654c-97a2-4787-9325-e6a10375219a"
    },
    "clickEvents": [
      {
        "__id__": 16
      }
    ],
    "_N$interactable": true,
    "_N$enableAutoGrayEffect": false,
    "_N$normalColor": {
      "__type__": "cc.Color",
      "r": 255,
      "g": 255,
      "b": 255,
      "a": 255
    },
    "_N$disabledColor": {
      "__type__": "cc.Color",
      "r": 255,
      "g": 255,
      "b": 255,
      "a": 255
    },
    "_N$normalSprite": {
      "__uuid__": "f0048c10-f03e-4c97-b9d3-3506e1d58952"
    },
    "_N$disabledSprite": {
      "__uuid__": "29158224-f8dd-4661-a796-1ffab537140e"
    },
    "_N$target": {
      "__id__": 11
    }
  },
  {
    "__type__": "cc.ClickEvent",
    "target": {
      "__id__": 2
    },
    "component": "LoadingScene",
    "handler": "testClick",
    "customEventData": ""
  },
  {
    "__type__": "cc.Node",
    "_name": "New ProgressBar",
    "_objFlags": 0,
    "_parent": {
      "__id__": 2
    },
    "_children": [
      {
        "__id__": 18
      }
    ],
    "_tag": -1,
    "_active": true,
    "_components": [
      {
        "__id__": 20
      },
      {
        "__id__": 21
      }
    ],
    "_prefab": null,
    "_id": "31OD3/1kRAX4eaiOpQvvmT",
    "_opacity": 255,
    "_color": {
      "__type__": "cc.Color",
      "r": 255,
      "g": 255,
      "b": 255,
      "a": 255
    },
    "_cascadeOpacityEnabled": true,
    "_anchorPoint": {
      "__type__": "cc.Vec2",
      "x": 0.5,
      "y": 0.5
    },
    "_contentSize": {
      "__type__": "cc.Size",
      "width": 440,
      "height": 47
    },
    "_rotationX": 0,
    "_rotationY": 0,
    "_scaleX": 1,
    "_scaleY": 1,
    "_position": {
      "__type__": "cc.Vec2",
      "x": 0,
      "y": -246
    },
    "_skewX": 0,
    "_skewY": 0,
    "_localZOrder": 0,
    "_globalZOrder": 0,
    "_opacityModifyRGB": false,
    "groupIndex": 0
  },
  {
    "__type__": "cc.Node",
    "_name": "bar",
    "_objFlags": 0,
    "_parent": {
      "__id__": 17
    },
    "_children": [],
    "_tag": -1,
    "_active": true,
    "_components": [
      {
        "__id__": 19
      }
    ],
    "_prefab": null,
    "_id": "37DcYhKShBDYwWQLm9bnWz",
    "_opacity": 255,
    "_color": {
      "__type__": "cc.Color",
      "r": 250,
      "g": 245,
      "b": 245,
      "a": 255
    },
    "_cascadeOpacityEnabled": true,
    "_anchorPoint": {
      "__type__": "cc.Vec2",
      "x": 0,
      "y": 0.5
    },
    "_contentSize": {
      "__type__": "cc.Size",
      "width": 88,
      "height": 38
    },
    "_rotationX": 0,
    "_rotationY": 0,
    "_scaleX": 1,
    "_scaleY": 1,
    "_position": {
      "__type__": "cc.Vec2",
      "x": -217,
      "y": 4
    },
    "_skewX": 0,
    "_skewY": 0,
    "_localZOrder": 0,
    "_globalZOrder": 0,
    "_opacityModifyRGB": false,
    "groupIndex": 0
  },
  {
    "__type__": "cc.Sprite",
    "_name": "",
    "_objFlags": 0,
    "node": {
      "__id__": 18
    },
    "_enabled": true,
    "_spriteFrame": {
      "__uuid__": "f763018d-08a7-4eb2-9005-14d135fb15fa"
    },
    "_type": 1,
    "_sizeMode": 0,
    "_fillType": 0,
    "_fillCenter": {
      "__type__": "cc.Vec2",
      "x": 0,
      "y": 0
    },
    "_fillStart": 0,
    "_fillRange": 0,
    "_isTrimmedMode": true,
    "_srcBlendFactor": 770,
    "_dstBlendFactor": 771,
    "_atlas": {
      "__uuid__": "96046156-fc3f-4a6a-a3d8-8853ed45813e"
    }
  },
  {
    "__type__": "cc.Sprite",
    "_name": "",
    "_objFlags": 0,
    "node": {
      "__id__": 17
    },
    "_enabled": true,
    "_spriteFrame": {
      "__uuid__": "6c611168-0317-40f3-bd9d-a48acd623edc"
    },
    "_type": 0,
    "_sizeMode": 0,
    "_fillType": 0,
    "_fillCenter": {
      "__type__": "cc.Vec2",
      "x": 0,
      "y": 0
    },
    "_fillStart": 0,
    "_fillRange": 0,
    "_isTrimmedMode": true,
    "_srcBlendFactor": 770,
    "_dstBlendFactor": 771,
    "_atlas": {
      "__uuid__": "96046156-fc3f-4a6a-a3d8-8853ed45813e"
    }
  },
  {
    "__type__": "cc.ProgressBar",
    "_name": "",
    "_objFlags": 0,
    "node": {
      "__id__": 17
    },
    "_enabled": true,
    "_N$totalLength": 440,
    "_N$barSprite": {
      "__id__": 19
    },
    "_N$mode": 0,
    "_N$progress": 0.2,
    "_N$reverse": false
  },
  {
    "__type__": "cc.Canvas",
    "_name": "",
    "_objFlags": 0,
    "node": {
      "__id__": 2
    },
    "_enabled": true,
    "_designResolution": {
      "__type__": "cc.Size",
      "width": 640,
      "height": 1136
    },
    "_fitWidth": false,
    "_fitHeight": true
  },
  {
    "__type__": "d1fa14BeAhOMKEwwktr1srs",
    "_name": "",
    "_objFlags": 0,
    "node": {
      "__id__": 2
    },
    "_enabled": true,
    "progressBar": {
      "__id__": 21
    },
    "testLb": null,
    "inLoginBack": false
  }
]